=== debian/changelog ===
mdm (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Point Homepage to Github
  * Set Vcs fields to Debian team on Salsa
  * Fix watch file
  * Switch from cdbs to dh
    Closes: #1098831
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Standards-Version: 4.7.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2025 07:12:27 +0100

mdm (0.1.3-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007311)
  * Let the 2nd description paragraph have sentences (closes: #550374)
  * Drop -s to prevent using the build architecture strip (closes: #927861)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 18:08:48 +0200

mdm (0.1.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix link order to list libraries after the objects that require them
    (closes: #641418, LP: #771082).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 10:30:35 +0100

mdm (0.1.3-2) unstable; urgency=low

  * Fix upstream watch file
  * Add libncurses5-dev to Build-Depends (closes: #548469)

 -- Chuan-kai Lin <cklin@debian.org>  Sat, 26 Sep 2009 10:17:48 -0700

mdm (0.1.3-1) unstable; urgency=low

  * Initial release (closes: #547375)

 -- Chuan-kai Lin <cklin@debian.org>  Mon, 21 Sep 2009 12:56:07 -0700
