=== debian/control ===
Source: mdm
Maintainer: Chuan-kai Lin <cklin@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/debian/mdm
Vcs-Git: https://salsa.debian.org/debian/mdm.git
Homepage: https://github.com/cklin/mdm

Package: mdm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         screen
Description: Utilities for single-host parallel shell scripting
 The Middleman System (mdm) is a set of utilities that help you
 parallelize your shell scripts.  Simply label the commands to run in
 parallel, and the System automatically exploits every parallelization
 opportunity that arises at runtime.  You can also specify dependency
 between commands so that they run in an appropriate order.
 .
 mdm comes with an ncurses-based monitoring console and is compatible with
 xargs, find, make and any shell. It can be run in a script or interactively.
