## mdm 1.0.8%2Bmaya

=== debian/changelog ===
mdm (1.0.8+maya) nadia; urgency=low

  * Asks plymouth to quit at startup (fixes Xorg randomly loading the wrong driver and user ending using llvmpipe)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2012 14:18:25 +0000

mdm (1.0.7) nadia; urgency=low

  * Removed flower from circles theme
  * Fixed version checks
  * Added support for GNOME 3 user faces

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Nov 2012 12:10:59 +0000

mdm (1.0.6) maya; urgency=low

  * Call mate-screensaver when appropriate
  * Added switch user in gnome-screensaver

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Aug 2012 13:55:09 +0100

mdm (1.0.5) maya; urgency=low

  * 48px faces
  * Improved userlist support
  * Changed debian maintainers/uploaders fields

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Aug 2012 15:35:13 +0100

mdm (1.0.4) maya; urgency=low

  * Removed Debian branding from mdmLogin

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2012 12:09:51 +0100

mdm (1.0.3) maya; urgency=low

  * Fixed login issue with sessions which Exec line contains spaces and no quotes (Gnome Shell, Gnome Classic etc..)  

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 May 2012 15:19:48 +0100

mdm (1.0.2) maya; urgency=low

  * Don't show "New login in a window" menu item if Xnest isn't installed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 May 2012 19:31:41 +0100

mdm (1.0.1) maya; urgency=low

  * Don't rely on fontconfig (can cause segfaults and make MDM crash)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 May 2012 13:55:55 +0100

mdm (1.0.0) debian; urgency=low

  * v 1.0.0, forked from GDM 2.20.11-4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Apr 2012 19:56:00 +0100

mdm (2.20.11-4) unstable; urgency=low

  * debian-spacefun.shar: updated to remove the “debian” word in the 
    picture, because of copyright issues.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Nov 2010 21:50:48 +0100

mdm (2.20.11-3) unstable; urgency=low

  * Remove moreblue theme.
  * debian-spacefun.shar: ship SpaceFun theme instead.
  * 35_mdm.conf.patch: set it as default. Closes: #603403.

 -- Josselin Mouette <joss@debian.org>  Sat, 13 Nov 2010 21:18:33 +0100

mdm (2.20.11-2) unstable; urgency=low

  * Use linux-any wildcard instead of listing non-linux architectures.
  * Bump standards version accordingly.
  * 23_xsession-errors.patch: disable the obnoxious behavior that stops 
    filling .xsession-errors when there is too much output.
  * Update watch file.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 21:16:42 +0200

mdm (2.20.11-1) unstable; urgency=low

  * mdm.config: handle the case where $OLD_DAEMON is empty.
    Closes: #579103.
  * Install a file in insserv.conf.d.
  * New upstream release.
  * 70_mandatory-relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 22 Jun 2010 00:59:27 +0200

mdm (2.20.10-3) unstable; urgency=low

  * mdm.config: add missing $ leading to a dpkg-tmp file being created 
    in the wrong directory. Closes: #577216.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Apr 2010 17:09:37 +0200

mdm (2.20.10-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/68_hurd_pathmax.patch:
    - Don't use MAXPATHLEN and PATH_MAX since it's not defined on
      GNU/Hurd. Use dynamic allocation instead.
  * debian/patches/69_hurd_mdm_reset_locale.patch:
    - Don't implement mdm_reset_locale() only if RLIM_NLIMITS is defined,
      since it has nothing to do with it and it's undefined on the Hurd.

  [ Josselin Mouette ]
  * 01_mdmchooser-ipv6_bindv6only-workaround.patch: patch from Miguel 
    Landaeta. Allow mdmchooser to work with new default netbase setting 
    net.ipv6.bindv6only=1. Closes: #562126.
  * 61_console_tty0.patch: patch from Julien Cristau. The console device 
    is /dev/tty0 for the physical console, not /dev/console.
    Closes: #348033.
  * 02_xdmcp-ipv6_bindv6only.patch: patch from Julien Cristau. Allow 
    xdmcp to work with net.ipv6.bindv6only=1. Closes: #563406.

  [ Julien Cristau ]
  * mdm.templates, mdm.config: fix mdm daemon pathname (closes: #422735)
  * mdm.config: get the old default display manager from
    /etc/X11/default-display-manager instead of from debconf (stolen from xdm)
  * mdm.config, mdm.postinst, mdm.postrm: in config, move
    /etc/X11/default-display-manager away instead of removing it.  Delete it
    in postinst instead, to allow rollback in postrm abort-{install,upgrade}
    (stolen from xdm).

  [ Josselin Mouette ]
  * 22_Xreset.patch: patch by Petter Reinholdtsen to use Xreset in 
    postinst if available. Closes: #571612.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Apr 2010 00:21:42 +0200

mdm (2.20.10-1) unstable; urgency=low

  * 21_XKeepsCrashing_bashism.patch: new patch, fix a bashism.
    Closes: #530086.
  * mdm.init: add kbd to Should-Start. Closes: #548102.
  * mdm.init: add x11-common to Required-Start.
  * New upstream release.
  * 51_xkb_init.patch, 52_xdmcp_fixes.patch: dropped, merged upstream.
  * 70_mandatory-relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Oct 2009 09:22:43 +0100

mdm (2.20.9-1) unstable; urgency=low

  * mdm.install: install the desktop files in 
    /usr/share/mdm/applications, so that they are only available when 
    the session has been started by MDM. Closes: #508345.
  * Ship an empty /usr/share/sounds directory. Closes: #509219.
  * New upstream translation and bugfix release.
  * 51_selinux_memleak.patch, 52_shutdown_crash.patch: removed, merged 
    upstream.
  * 70_mandatory-relibtoolize.patch: updated for the new version.
  * 51_xkb_init.patch: new patch, stolen upstream. Handle the case where 
    XKB is not properly initialized.
  * 52_xdmcp_fixes.patch: new patch, stolen upstream. Fix a double free 
    and improve error handling for XDMCP. Hopefully closes: #495797.


