=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: mdm
Section: gnome
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: libpam0g-dev,
               libdbus-glib-1-dev (>= 0.30),
               libglib2.0-dev (>= 2.12.0),
               libgtk2.0-dev (>= 2.6.0),
               libpango1.0-dev (>= 1.3.0),
               libglade2-dev (>= 1:1.99.2),
               libgnomecanvas2-dev,
               librsvg2-dev,
               libxml2-dev (>= 2.4.12),
               libart-2.0-dev (>= 2.3.11),
               libwrap0-dev,
               debhelper (>= 5),
               gettext,
               intltool (>= 0.35.0),
               libselinux1-dev [linux-any],
               libattr1-dev,
               x11proto-core-dev,
               x11proto-input-dev,
               libxau-dev,
               libxt-dev,
               libxdmcp-dev,
               libxinerama-dev,
               libdmx-dev,
               gnome-doc-utils,
               sharutils,
               gnome-pkg-tools,
               quilt,
               zenity,
               libpopt-dev,
               xserver-xorg
Standards-Version: 3.9.0

Package: mdm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gksu (>= 1.0.7),
         lsb-base (>= 3.2-14),
         librsvg2-common
Recommends: whiptail | dialog,
            zenity,
            mdm-themes,
            xserver-xephyr | xnest,
            xserver-xorg
Suggests: locales,
          pm-utils,
          libpam-gnome-keyring
Provides: x-display-manager
Conflicts: fast-user-switch-applet (<< 2.17.4),
           gnome-session (<< 2.19.2),
           gnome-panel (<< 2.19.2),
           gnome-screensaver (<< 2.17.7),
           gdm,
           gdm3
Description: GNOME Display Manager
 mdm provides the equivalent of a "login:" prompt for X displays- it
 pops up a login window and starts an X session.
 .
 It provides all the functionality of xdm, including XDMCP support for
 managing remote displays.
 .
 The greeting window is written using the GNOME libraries and hence
 looks like a GNOME application- even to the extent of supporting
 themes! By default, the greeter is run as an unprivileged user for
 security.
