## mdm 1.4.11%2Bmaya

=== debian/changelog ===
mdm (1.4.11+maya) debian; urgency=low

  * 1.4.11

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 21:11:04 +0000

mdm (1.4.10) debian; urgency=low

  * 1.4.10

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Feb 2014 13:11:59 +0000

mdm (1.4.9) debian; urgency=low

  * 1.4.9

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Jan 2014 10:43:43 +0000

mdm (1.4.8) petra; urgency=low

  * 1.4.8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Dec 2013 14:49:42 +0000

mdm (1.4.7) petra; urgency=low

  * 1.4.7

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Nov 2013 10:58:00 +0000

mdm (1.4.6) petra; urgency=low

  * 1.4.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Nov 2013 11:16:17 +0000

mdm (1.4.5) petra; urgency=low

  * 1.4.5

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 10 Nov 2013 19:38:12 +0000

mdm (1.4.4) petra; urgency=low

  * 1.4.4

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Nov 2013 13:16:44 +0000

mdm (1.4.3) petra; urgency=low

  * 1.4.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Nov 2013 11:56:31 +0000

mdm (1.4.2) petra; urgency=low

  * 1.4.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 05 Nov 2013 11:35:20 +0000

mdm (1.4.1) petra; urgency=low

  * 1.4.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Nov 2013 15:58:12 +0000

mdm (1.3.7) petra; urgency=low

  * 1.3.7

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Oct 2013 17:04:24 +0000

mdm (1.3.6) petra; urgency=low

  * 1.3.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Oct 2013 11:08:56 +0100

mdm (1.3.5) petra; urgency=low

  * 1.3.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Oct 2013 13:42:00 +0100

mdm (1.3.4) petra; urgency=low

  * 1.3.4

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 16:52:04 +0100

mdm (1.3.3) petra; urgency=low

  * 1.3.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 12:03:56 +0100

mdm (1.3.2) petra; urgency=low

  * 1.3.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Sep 2013 10:41:31 +0100

mdm (1.3.1) olivia; urgency=low

  * 1.3.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2013 11:29:58 +0100

mdm (1.2.5) olivia; urgency=low

  * 1.2.5

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 May 2013 12:55:39 +0100

mdm (1.2.4) olivia; urgency=low

  * 1.2.4

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 May 2013 10:50:42 +0100

mdm (1.2.3) olivia; urgency=low

  * 1.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 May 2013 12:42:32 +0100

mdm (1.2.2) olivia; urgency=low

  * 1.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 23:19:40 +0100

mdm (1.2.1) olivia; urgency=low

  * 1.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 20:34:07 +0100

mdm (1.2.0) olivia; urgency=low

  * 1.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 May 2013 22:26:59 +0100

mdm (1.1.10) olivia; urgency=low

  * 1.1.10

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 23:09:26 +0100

mdm (1.1.9) olivia; urgency=low

  * 1.1.9

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 16:46:00 +0100

mdm (1.1.8) olivia; urgency=low

  * 1.1.8

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 14:28:07 +0100

mdm (1.1.7) olivia; urgency=low

  * 1.1.7

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Apr 2013 10:19:02 +0100

mdm (1.1.6) olivia; urgency=low

  * 1.1.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 14:41:30 +0100

mdm (1.1.5) olivia; urgency=low

  * 1.1.5

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Mar 2013 14:28:25 +0000

mdm (1.1.4) olivia; urgency=low

  * 1.1.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 09 Mar 2013 22:24:24 +0000

mdm (1.1.3) olivia; urgency=low

  * Transparent background in webkit greeter

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Feb 2013 11:18:18 +0000

mdm (1.1.2) olivia; urgency=low

  * Cleaner build
  * waitpid instead of select for slave to detect the death of the greeter

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Feb 2013 14:21:50 +0000

mdm (1.1.1) olivia; urgency=low

  * UI improvements in mdmsetup
  * Simpler options regarding greeters
  * New Webkit greeter

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Feb 2013 12:12:42 +0000

mdm (1.0.8) nadia; urgency=low

  * Asks plymouth to quit at startup (fixes Xorg randomly loading the wrong driver and user ending using llvmpipe)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2012 14:18:25 +0000
