=== debian/control ===
--- 
+++ 
@@ -1,8 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-# 
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
-
 Source: mdm
 Section: gnome
 Priority: optional
@@ -36,7 +31,10 @@
                quilt,
                zenity,
                libpopt-dev,
-               xserver-xorg
+               xserver-xorg,
+               libwebkitgtk-dev,
+               gnome-common,
+               libxml2-utils
 Standards-Version: 3.9.0
 
 Package: mdm
@@ -46,14 +44,16 @@
          adduser,
          libpam-modules (>= 0.72-1),
          libpam-runtime (>= 0.76-13.1),
-         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         cinnamon-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gksu (>= 1.0.7),
          lsb-base (>= 3.2-14),
-         librsvg2-common
+         librsvg2-common,
+         gir1.2-webkit-3.0,
+         gir1.2-gtk-3.0,
+         python
 Recommends: whiptail | dialog,
             zenity,
             mdm-themes,
-            xserver-xephyr | xnest,
             xserver-xorg
 Suggests: locales,
           pm-utils,
@@ -65,14 +65,7 @@
            gnome-screensaver (<< 2.17.7),
            gdm,
            gdm3
-Description: GNOME Display Manager
- mdm provides the equivalent of a "login:" prompt for X displays- it
- pops up a login window and starts an X session.
+Description: MDM Display Manager
+ MDM stands for MDM Display Manager (not Mint Display Manager and not MATE Display Manager) :)
  .
- It provides all the functionality of xdm, including XDMCP support for
- managing remote displays.
- .
- The greeting window is written using the GNOME libraries and hence
- looks like a GNOME application- even to the extent of supporting
- themes! By default, the greeter is run as an unprivileged user for
- security.
+ It provides your system with a nice login screen which is easy to use, to configure and to theme.
