=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 		--disable-scrollkeeper \
 		--enable-ipv6=yes \
 		--with-prefetch=yes \
-		--enable-secureremote=yes
+		--enable-secureremote=yes \
+		--enable-compile-warnings=no
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	configure_flags += --with-selinux
@@ -44,7 +45,7 @@
 configure: configure-stamp
 configure-stamp: patch-stamp
 	dh_testdir
-	./configure $(configure_flags) CFLAGS="$(CFLAGS)"
+	./autogen.sh $(configure_flags) CFLAGS="$(CFLAGS)"
 	touch configure-stamp
 
 build: build-stamp
@@ -68,7 +69,6 @@
 	dh_testroot
 	dh_installdirs -a
 	dh_install -a
-	chmod 755 debian/mdm/usr/share/mdm/mdmXnestWrapper
 	# special environment settings should be done in /etc/default/mdm
 	mv debian/mdm/usr/sbin/mdm-binary debian/mdm/usr/sbin/mdm
 	cd debian/mdm/usr/sbin && rm -f mdm-restart mdm-safe-restart mdm-stop
