## mdm 1.4.11+lmde

=== debian/changelog ===
mdm (1.4.11+lmde) debian; urgency=low

  * 1.4.11

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Feb 2014 21:11:04 +0000
